/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package za.co.enerweb.enygma.database.staging;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 *
 * @author richard
 */
@Entity
@Table(name = "STAGING_UOM")
@NamedQueries({
    @NamedQuery(name = "StagingUom.findAll", query = "SELECT s FROM StagingUom s")})
public class StagingUom implements Serializable {
    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "NAME", nullable = false, length = 20)
    private String name;
    @Id
    @Basic(optional = false)
    @Column(name = "UOM_ID", nullable = false)
    private Integer uomId;
    @Column(name = "DESCRIPTION", length = 100)
    private String description;

    public StagingUom() {
    }

    public StagingUom(Integer uomId) {
        this.uomId = uomId;
    }

    public StagingUom(Integer uomId, String name) {
        this.uomId = uomId;
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getUomId() {
        return uomId;
    }

    public void setUomId(Integer uomId) {
        this.uomId = uomId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (uomId != null ? uomId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof StagingUom)) {
            return false;
        }
        StagingUom other = (StagingUom) object;
        if ((this.uomId == null && other.uomId != null) || (this.uomId != null && !this.uomId.equals(other.uomId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "za.co.enerweb.enygma.database.staging.StagingUom[uomId=" + uomId + "]";
    }

}
